Bug 1257302 - Review Request: nodejs-module-not-found-error - Create a module not found error
Review Request: nodejs-module-not-found-error - Create a module not found error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1223413
  Show dependency treegraph
 
Reported: 2015-08-26 13:49 EDT by Tom Hughes
Modified: 2015-09-18 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 18:18:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-08-26 13:49:59 EDT
Spec URL: http://download.compton.nu/tmp/nodejs-module-not-found-error.spec
SRPM URL: http://download.compton.nu/tmp/nodejs-module-not-found-error-1.0.1-1.fc22.src.rpm
Fedora Account System Username: tomh

Description:
Create a module not found error.
Comment 1 Piotr Popieluch 2015-09-04 14:07:03 EDT
fails to build in fedora-review/rawhide due to broken deps on nodejs-deep-equal

DEBUG util.py:377:  Last metadata expiration check performed 0:17:21 ago on Fri Sep  4 19:45:40 2015.
DEBUG util.py:377:  Error: nothing provides npm(deep-equal) < 0.3 needed by nodejs-tape-3.0.1-3.fc23.noarch
Comment 2 Tom Hughes 2015-09-04 16:14:52 EDT
The nodejs-tape issue should be fixed now.
Comment 3 Piotr Popieluch 2015-09-05 06:00:21 EDT
APPROVED




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1257302-nodejs-module-
     not-found-error/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-module-not-found-error-1.0.1-1.fc24.noarch.rpm
          nodejs-module-not-found-error-1.0.1-1.fc24.src.rpm
nodejs-module-not-found-error.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-module-not-found-error (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-module-not-found-error:
    nodejs-module-not-found-error
    npm(module-not-found-error)



Source checksums
----------------
https://github.com/bendrucker/module-not-found-error/archive/v1.0.1.tar.gz#/nodejs-module-not-found-error-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 11b2632fe6729f25432c5df2f93afccac36edc94c5422fce2fdadd434f46e017
  CHECKSUM(SHA256) upstream package : 11b2632fe6729f25432c5df2f93afccac36edc94c5422fce2fdadd434f46e017


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1257302
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Tom Hughes 2015-09-05 06:02:42 EDT
Thanks!

New Package SCM Request
=======================
Package Name: nodejs-module-not-found-error
Short Description: Create a module not found error
Upstream URL: https://github.com/bendrucker/module-not-found-error
Owners: tomh
Branches: f21 f22 f23
Comment 5 Gwyn Ciesla 2015-09-05 10:08:59 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-09-05 10:47:35 EDT
nodejs-module-not-found-error-1.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15172
Comment 7 Fedora Update System 2015-09-06 14:51:45 EDT
nodejs-module-not-found-error-1.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-module-not-found-error'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15172
Comment 8 Fedora Update System 2015-09-06 17:19:13 EDT
nodejs-module-not-found-error-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-module-not-found-error'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15170
Comment 9 Fedora Update System 2015-09-06 17:56:58 EDT
nodejs-module-not-found-error-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-module-not-found-error'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15171
Comment 10 Fedora Update System 2015-09-14 18:18:57 EDT
nodejs-module-not-found-error-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-14 19:18:10 EDT
nodejs-module-not-found-error-1.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-18 14:32:32 EDT
nodejs-module-not-found-error-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.